<script setup lang="ts">
import { useTableStore } from "@/stores/Table/tables";
import { ref } from "vue";
import type { VForm } from "vuetify/components";
const form = ref<VForm | null>(null);
const tableStore = useTableStore();
async function save() {
  const { valid } = await form.value!.validate();
  if (valid) {
    await tableStore.saveTable();
  }
}
</script>

<template>
  <v-dialog v-model="tableStore.dialog" persistent width="1024">
    <v-card>
      <v-card-title>
        <span class="text-h5">Table</span>
      </v-card-title>
      <v-card-text>
        <v-form ref="form">
          <v-container>
            <v-row>
              <v-col cols="6">
                <v-text-field
                  label="Name*"
                  required
                  v-model.number="tableStore.editedTable.number"
                  :rules="[(v) => !!v || 'Item is required']"
                ></v-text-field>
              </v-col>
              <v-col cols="6">
                <v-text-field
                  label="Max Seats*"
                  required
                  v-model.number="tableStore.editedTable.seats"
                  :rules="[(v) => !!v || 'Item is required']"
                ></v-text-field>
              </v-col>
            </v-row>
            <v-select
              v-model="tableStore.editedTable.status"
              :items="['Available', 'Unavailable', 'Cleaning']"
              label="Status"
              density="comfortable"
              required
              :rules="[(v) => !!v || 'Item is required']"
            ></v-select>
          </v-container>
        </v-form>
        <small>*indicates required field</small>
      </v-card-text>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn
          color="blue-darken-1"
          variant="text"
          @click="tableStore.dialog = false"
        >
          Close
        </v-btn>
        <v-btn color="blue-darken-1" variant="text" @click="save"> Save </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>
